
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for All files</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="prettify.css" />
    <link rel="stylesheet" href="base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1>All files</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">40.67% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>133/327</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">6.03% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>7/116</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">20% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>7/35</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">40.8% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>133/326</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line low'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file high" data-value="Day 27"><a href="Day 27/index.html">Day 27</a></td>
	<td data-value="88.89" class="pic high">
	<div class="chart"><div class="cover-fill" style="width: 88%"></div><div class="cover-empty" style="width: 12%"></div></div>
	</td>
	<td data-value="88.89" class="pct high">88.89%</td>
	<td data-value="18" class="abs high">16/18</td>
	<td data-value="50" class="pct medium">50%</td>
	<td data-value="2" class="abs medium">1/2</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="1" class="abs low">0/1</td>
	<td data-value="94.12" class="pct high">94.12%</td>
	<td data-value="17" class="abs high">16/17</td>
	</tr>

<tr>
	<td class="file low" data-value="Day 27/controllers"><a href="Day 27/controllers/index.html">Day 27/controllers</a></td>
	<td data-value="19.67" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 19%"></div><div class="cover-empty" style="width: 81%"></div></div>
	</td>
	<td data-value="19.67" class="pct low">19.67%</td>
	<td data-value="61" class="abs low">12/61</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="16" class="abs low">0/16</td>
	<td data-value="12.5" class="pct low">12.5%</td>
	<td data-value="8" class="abs low">1/8</td>
	<td data-value="19.67" class="pct low">19.67%</td>
	<td data-value="61" class="abs low">12/61</td>
	</tr>

<tr>
	<td class="file low" data-value="Day 27/middlewares/auth"><a href="Day 27/middlewares/auth/index.html">Day 27/middlewares/auth</a></td>
	<td data-value="32.35" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 32%"></div><div class="cover-empty" style="width: 68%"></div></div>
	</td>
	<td data-value="32.35" class="pct low">32.35%</td>
	<td data-value="68" class="abs low">22/68</td>
	<td data-value="8.33" class="pct low">8.33%</td>
	<td data-value="24" class="abs low">2/24</td>
	<td data-value="25" class="pct low">25%</td>
	<td data-value="12" class="abs low">3/12</td>
	<td data-value="32.35" class="pct low">32.35%</td>
	<td data-value="68" class="abs low">22/68</td>
	</tr>

<tr>
	<td class="file low" data-value="Day 27/middlewares/validators"><a href="Day 27/middlewares/validators/index.html">Day 27/middlewares/validators</a></td>
	<td data-value="19.23" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 19%"></div><div class="cover-empty" style="width: 81%"></div></div>
	</td>
	<td data-value="19.23" class="pct low">19.23%</td>
	<td data-value="104" class="abs low">20/104</td>
	<td data-value="6.06" class="pct low">6.06%</td>
	<td data-value="66" class="abs low">4/66</td>
	<td data-value="14.29" class="pct low">14.29%</td>
	<td data-value="7" class="abs low">1/7</td>
	<td data-value="19.23" class="pct low">19.23%</td>
	<td data-value="104" class="abs low">20/104</td>
	</tr>

<tr>
	<td class="file medium" data-value="Day 27/models"><a href="Day 27/models/index.html">Day 27/models</a></td>
	<td data-value="74.51" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 74%"></div><div class="cover-empty" style="width: 26%"></div></div>
	</td>
	<td data-value="74.51" class="pct medium">74.51%</td>
	<td data-value="51" class="abs medium">38/51</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="8" class="abs low">0/8</td>
	<td data-value="28.57" class="pct low">28.57%</td>
	<td data-value="7" class="abs low">2/7</td>
	<td data-value="74.51" class="pct medium">74.51%</td>
	<td data-value="51" class="abs medium">38/51</td>
	</tr>

<tr>
	<td class="file high" data-value="Day 27/routes"><a href="Day 27/routes/index.html">Day 27/routes</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="25" class="abs high">25/25</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="25" class="abs high">25/25</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Fri Apr 09 2021 09:39:00 GMT+0700 (Western Indonesia Time)
            </div>
        </div>
        <script src="prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="sorter.js"></script>
        <script src="block-navigation.js"></script>
    </body>
</html>
    